import request from '@/utils/request'

// 查询企业基本信息列表
export function listBaseinfo(query) {
  return request({
    url: '/basicData/xcrEBaseinfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业基本信息详细
export function getBaseinfo(xhCodeId) {
  return request({
    url: '/basicData/xcrEBaseinfo/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业基本信息
export function addBaseinfo(data) {
  return request({
    url: '/basicData/xcrEBaseinfo',
    method: 'post',
    data: data
  })
}

// 修改企业基本信息
export function updateBaseinfo(data) {
  return request({
    url: '/basicData/xcrEBaseinfo',
    method: 'put',
    data: data
  })
}

// 删除企业基本信息
export function delBaseinfo(xhCodeId) {
  return request({
    url: '/basicData/xcrEBaseinfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delBaseinfoBatch(ids) {
  return request.post('/basicData/xcrEBaseinfo/delete',ids)
}
